<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
</head>
<body>
    <?php
        function buscar_registro($oficio) 
        {
            global $conn;
            if (validar_entrada($oficio)) {
                $sql = "SELECT * FROM reg_pepc WHERE oficio = :oficio";
                $stmt = $conn->prepare($sql);
                $stmt->bindParam(':oficio', $oficio);
                $stmt->execute();

                if ($stmt->rowCount() > 0) {
                    // escribe la información 
                    while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                        echo "<h1 style='font-family: Arial'>";
                        echo "Oficio: " . htmlspecialchars($row["oficio"]). " - Folio: " . htmlspecialchars($row["folio"]) .  " - Carpeta: " . htmlspecialchars($row["carpeta"]) . "<br>";
                        echo "Empresa/Persona: " . htmlspecialchars($row["empresa"]) . "<br>Registro: " .  htmlspecialchars($row["registro"]) ."<br>" ;
                        echo "Expedición: " . date('d-m-Y', strtotime($row["fechaoficio"])) . "<br>" ;
                        echo "Validéz al: " . htmlspecialchars($row["validoal"]) . "<br>" ;
                        echo "Representante: " . htmlspecialchars($row["nombre"]) . "<br>" ; // Agregando la variable "nombre"
                        echo "Tipo: " . htmlspecialchars($row["tipo"]) . "<br>" ; // Agregando la variable "tipo"
                        echo "</h1>";
                    }

                } else {
                    echo "No se encontró ningún registro para el oficio '". htmlspecialchars($oficio) . "'.";
                }
            } else {
                echo "El formato de entrada no es válido. Debe ser YYYY-OOOO.";
            }
        }

        function validar_entrada($entrada) {
            $patron = '/^\d{4}-\d{4}$/';
            if (preg_match($patron, $entrada) && is_numeric(substr($entrada, 0, 4)) && is_numeric(substr($entrada, 5))) {
                return true;
            } else {
                return false;
            }
        }
    ?>
</body>
</html>
